> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snagsolutions.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Loyalty Transaction Entries

> Fetch loyalty transaction entries for wallets or users, representing account balance changes.



## OpenAPI

````yaml /api-reference/openapi.documented.json get /api/loyalty/transaction_entries
openapi: 3.0.2
info:
  title: Snag Solutions - API Docs
  description: >-
    Documentation for Loyalty & Socials APIs. Some endpoints require an API key
    to authenticate. To obtain a key, reach out to the Snag Solutions team at
    support@snagsolutions.io.
  version: '0.1'
servers:
  - url: https://admin.snagsolutions.io/
    description: Production
security: []
paths:
  /api/loyalty/transaction_entries:
    get:
      tags:
        - Loyalty
      summary: Get Loyalty Transaction Entries
      description: >-
        Fetch loyalty transaction entries for wallets or users, representing
        account balance changes.
      parameters:
        - name: organizationId
          in: query
          description: Unique identifier for the organization to filter by
          schema:
            type: string
            format: uuid
            title: Organization ID
            example: 123e4567-e89b-12d3-a456-426614174001
        - name: websiteId
          in: query
          description: Unique identifier for the website to filter by
          schema:
            type: string
            format: uuid
            title: Website ID
            example: 123e4567-e89b-12d3-a456-426614174002
        - name: startingAfter
          in: query
          description: Pagination cursor to start after a specific resource ID
          schema:
            type: string
            format: uuid
            title: Starting After
            example: 123e4567-e89b-12d3-a456-426614174010
        - name: limit
          in: query
          description: Maximum number of records to return (max 100)
          schema:
            default: 10
            type: integer
            minimum: 1
            maximum: 100
            title: Limit
            example: 50
        - name: walletAddress
          in: query
          description: Wallet address or array of wallet addresses to filter by
          schema:
            oneOf:
              - type: string
              - type: array
                items:
                  type: string
                minItems: 1
            title: Wallet Address
            example:
              - '0x1234567890abcdef1234567890abcdef12345678'
        - name: userId
          in: query
          description: User ID or array of User IDs to filter by
          schema:
            oneOf:
              - type: string
                format: uuid
              - type: array
                items:
                  type: string
                  format: uuid
                minItems: 1
            title: User ID
            example:
              - 123e4567-e89b-12d3-a456-426614174000
        - name: walletGroupIdentifier
          in: query
          description: Identifier for the wallet group to filter by
          schema:
            type: string
            title: Wallet Group Identifier
            example: group123
        - name: loyaltyTransactionId
          in: query
          description: Unique identifier for the loyalty transaction to filter by
          schema:
            type: string
            title: Loyalty Transaction ID
            example: 123e4567-e89b-12d3-a456-426614174020
        - name: loyaltyRuleId
          in: query
          description: Unique identifier for the loyalty rule to filter by
          schema:
            type: string
            title: Loyalty Rule ID
            example: 123e4567-e89b-12d3-a456-426614174030
        - name: loyaltyRuleType
          in: query
          schema:
            oneOf:
              - type: string
                enum:
                  - Bonus
                  - BoughtOn
                  - BoughtWithRoyalties
                  - DiscordMessages
                  - Listing
                  - Lodging
                  - PoapClaim
                  - SnagSocialsConnected
                  - SnapshotFullset
                  - SnapshotHold
                  - SoldWithRoyalties
                  - TwitterBio
                  - TwitterHashTagPost
                  - MintOn
                  - SoldOn
                  - TokenHold
                  - Retweet
                  - check_in
                  - code_entry
                  - connect_wallet
                  - connected_discord
                  - connected_email
                  - connected_epic
                  - connected_github
                  - connected_steam
                  - connected_telegram
                  - connected_twitter
                  - create_partner_account
                  - discord_member
                  - drip_x_follow
                  - drip_x_new_tweet
                  - drip_x_text_in_bio
                  - drip_x_text_in_comment
                  - drip_x_text_in_name
                  - drip_x_tweet
                  - external_rule
                  - link_click
                  - manual_upload
                  - profile_completed
                  - referred_user
                  - smart_contract_event
                  - snapshot_governance
                  - telegram_join
                  - telegram_messages
                  - text_input
                  - token_hold_erc20
                  - tweet_liked_by_project
                  - twitter_comment
                  - twitter_follow
                  - twitter_followers
                  - twitter_like
                  - twitter_post_hashtag
                  - quiz
                  - poll
                  - steam_wishlist
                  - liquidity_uniswap_v2
                  - liquidity_uniswap_v3
                  - points_airdrop
                  - youtube_subscribers
                  - youtube_comment
                  - shopify_spend
                  - swap
                  - tiktok_post
                  - post_impressions
                  - discord_join
                  - connected_youtube
                  - stratus_function
                  - connected_tiktok
                  - tiktok_follow
                  - github_repo_star
                  - github_repo_fork
                  - github_repo_collaborator
                  - github_merge_PR
                  - discord_role_grant
                  - connected_reddit
                  - reddit_comment
                  - robinhood_token_hold
                  - connected_instagram
                  - instagram_post
                  - instagram_follow
                  - connected_phone
                  - dapps_by_gas_spent
                  - dapps_by_active_users
                  - dapps_by_new_users
                  - dapps_by_transaction_count
                  - dapps_by_user_retention
              - type: array
                items:
                  type: string
                  enum:
                    - Bonus
                    - BoughtOn
                    - BoughtWithRoyalties
                    - DiscordMessages
                    - Listing
                    - Lodging
                    - PoapClaim
                    - SnagSocialsConnected
                    - SnapshotFullset
                    - SnapshotHold
                    - SoldWithRoyalties
                    - TwitterBio
                    - TwitterHashTagPost
                    - MintOn
                    - SoldOn
                    - TokenHold
                    - Retweet
                    - check_in
                    - code_entry
                    - connect_wallet
                    - connected_discord
                    - connected_email
                    - connected_epic
                    - connected_github
                    - connected_steam
                    - connected_telegram
                    - connected_twitter
                    - create_partner_account
                    - discord_member
                    - drip_x_follow
                    - drip_x_new_tweet
                    - drip_x_text_in_bio
                    - drip_x_text_in_comment
                    - drip_x_text_in_name
                    - drip_x_tweet
                    - external_rule
                    - link_click
                    - manual_upload
                    - profile_completed
                    - referred_user
                    - smart_contract_event
                    - snapshot_governance
                    - telegram_join
                    - telegram_messages
                    - text_input
                    - token_hold_erc20
                    - tweet_liked_by_project
                    - twitter_comment
                    - twitter_follow
                    - twitter_followers
                    - twitter_like
                    - twitter_post_hashtag
                    - quiz
                    - poll
                    - steam_wishlist
                    - liquidity_uniswap_v2
                    - liquidity_uniswap_v3
                    - points_airdrop
                    - youtube_subscribers
                    - youtube_comment
                    - shopify_spend
                    - swap
                    - tiktok_post
                    - post_impressions
                    - discord_join
                    - connected_youtube
                    - stratus_function
                    - connected_tiktok
                    - tiktok_follow
                    - github_repo_star
                    - github_repo_fork
                    - github_repo_collaborator
                    - github_merge_PR
                    - discord_role_grant
                    - connected_reddit
                    - reddit_comment
                    - robinhood_token_hold
                    - connected_instagram
                    - instagram_post
                    - instagram_follow
                    - connected_phone
                    - dapps_by_gas_spent
                    - dapps_by_active_users
                    - dapps_by_new_users
                    - dapps_by_transaction_count
                    - dapps_by_user_retention
        - name: idempotencyKey
          in: query
          description: Key to ensure idempotency of the request
          schema:
            type: string
            title: Idempotency Key
            example: idempkey123
        - name: type
          in: query
          description: Type of the loyalty transaction to filter by
          schema:
            type: string
            enum:
              - auction_bid
              - direct_mint
              - loyalty_rule
              - api_key
              - order
            title: Type
            example: loyalty_rule
        - name: sortBy
          in: query
          description: Field to sort the results by
          schema:
            default: createdAt
            type: string
            enum:
              - createdAt
              - updatedAt
              - loyaltyAccountLockVersion
            title: Order By
            example: createdAt
        - name: sortDir
          in: query
          description: Direction to sort the results by
          schema:
            default: desc
            type: string
            enum:
              - asc
              - desc
            title: Sort Direction
            example: desc
        - name: userCompletedLoyaltyRuleId
          in: query
          description: >-
            When passed in return the list of fulfilled entries for loyalty
            rules. If a loyalty rule has a fulfilled entry this means the user
            cannot currently complete the rule.  Must be passed in with userId
            or walletAddress.
          schema:
            oneOf:
              - type: string
                format: uuid
              - type: array
                items:
                  type: string
                  format: uuid
                minItems: 1
                maxItems: 100
            title: Get User Completetions
            example: 123e4567-e89b-12d3-a456-426614174030
          style: form
          explode: true
        - name: userGroupExternalIdentifier
          in: query
          description: External identifier for the user group controlled by you.
          schema:
            type: string
            title: User Group External Identifier
        - name: userGroupId
          in: query
          description: Unique identifier for the user group
          schema:
            type: string
            format: uuid
            title: User Group ID
            example: 123e4567-e89b-12d3-a456-426614174090
        - name: createdAtStart
          in: query
          description: Start date to filter by (inclusive, greater than or equal to)
          schema:
            type: string
            format: date-time
            title: Created At Start
            example: '2023-10-01T12:34:56Z'
        - name: createdAtEnd
          in: query
          description: End date to filter by (exclusive, less than)
          schema:
            type: string
            format: date-time
            title: Created At End
            example: '2023-10-01T12:34:56Z'
        - name: loyaltyRuleGroupId
          in: query
          description: UUID of the rule group (converted to lowercase)
          schema:
            type: string
            format: uuid
            title: Rule Group ID
            example: 123e4567-e89b-12d3-a456-426614174333
        - name: loyaltyCurrencyId
          in: query
          description: >-
            UUID of the loyalty currency IDs to filter by. Use this to exclude
            deleted currencies
          schema:
            oneOf:
              - type: string
                format: uuid
              - type: array
                items:
                  type: string
                  format: uuid
                minItems: 1
                maxItems: 10
            title: Loyalty Currency IDs
            example: 123e4567-e89b-12d3-a456-426614174333
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                          title: ID
                          description: Unique identifier for the transaction entry
                          example: 123e4567-e89b-12d3-a456-426614174040
                        organizationId:
                          type: string
                          format: uuid
                          title: Organization ID
                          description: Unique identifier for the organization
                          example: 123e4567-e89b-12d3-a456-426614174001
                        websiteId:
                          type: string
                          format: uuid
                          title: Website ID
                          description: Unique identifier for the website
                          example: 123e4567-e89b-12d3-a456-426614174002
                        loyaltyAccountId:
                          type: string
                          format: uuid
                          title: Loyalty Account ID
                          description: Unique identifier for the loyalty account
                          example: 123e4567-e89b-12d3-a456-426614174050
                        direction:
                          type: string
                          enum:
                            - credit
                            - debit
                          title: Direction
                          description: Direction of the transaction entry
                          example: credit
                        type:
                          type: string
                          enum:
                            - auction_bid
                            - direct_mint
                            - loyalty_rule
                            - api_key
                            - order
                          title: Type
                          description: Type of the loyalty transaction
                          example: loyalty_rule
                          nullable: true
                        createdAt:
                          type: string
                          title: Created At
                          description: Timestamp when the transaction entry was created
                          example: '2023-10-01T12:34:56Z'
                        updatedAt:
                          type: string
                          title: Updated At
                          description: >-
                            Timestamp when the transaction entry was last
                            updated
                          example: '2023-10-05T15:30:00Z'
                        amount:
                          type: number
                          title: Amount
                          description: Amount involved in the transaction
                          example: 100
                        metadata:
                          type: object
                          additionalProperties:
                            nullable: true
                          title: Metadata
                          description: Optional metadata for the transaction entry
                          example:
                            orderId: order123
                        loyaltyTransaction:
                          type: object
                          properties:
                            id:
                              type: string
                              title: Transaction ID
                              description: Unique identifier for the loyalty transaction
                              example: 123e4567-e89b-12d3-a456-426614174060
                            type:
                              type: string
                              enum:
                                - auction_bid
                                - direct_mint
                                - loyalty_rule
                                - api_key
                                - order
                              title: Transaction Type
                              description: Type of the loyalty transaction
                              example: order
                              nullable: true
                            loyaltyRule:
                              type: object
                              properties:
                                id:
                                  type: string
                                  title: Loyalty Rule ID
                                  description: Unique identifier for the loyalty rule
                                  example: 123e4567-e89b-12d3-a456-426614174070
                                name:
                                  type: string
                                  title: Name
                                  description: Name of the loyalty rule
                                  example: First Purchase Bonus
                                description:
                                  type: string
                                  title: Description
                                  description: Description of the loyalty rule
                                  example: Bonus points for the first purchase
                                type:
                                  type: string
                                  title: Type
                                  description: Type of the loyalty rule
                                  example: purchase
                                metadata:
                                  type: object
                                  additionalProperties:
                                    nullable: true
                                  title: Metadata
                                  description: Optional metadata for the loyalty rule
                                  example:
                                    category: electronics
                                loyaltyRuleGroupItem:
                                  type: object
                                  properties:
                                    loyaltyRuleGroupId:
                                      type: string
                                      format: uuid
                                  required:
                                    - loyaltyRuleGroupId
                              required:
                                - id
                                - type
                              title: Loyalty Rule
                              description: >-
                                Details of the loyalty rule associated with the
                                transaction
                          required:
                            - id
                            - type
                          title: Loyalty Transaction
                          description: Details of the loyalty transaction
                      required:
                        - id
                        - organizationId
                        - websiteId
                        - loyaltyAccountId
                        - direction
                        - type
                        - createdAt
                        - updatedAt
                        - amount
                        - loyaltyTransaction
                      title: Loyalty Transaction Entry
                      description: Schema for a loyalty transaction entry
                  hasNextPage:
                    type: boolean
                required:
                  - data
                  - hasNextPage
        '400':
          description: '400'
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    title: Message
                    description: Error message
                    example: Request body is invalid
                required:
                  - message
                title: Bad Request Response
                description: Schema for bad request response
        '403':
          description: '403'
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    title: Message
                    description: Error message
                    example: Forbidden, Could not validate api key
                required:
                  - message
                title: Forbidden Response
                description: Schema for forbidden response
                example: Forbidden, Could not validate api key
        '429':
          description: '429'
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    title: Message
                    description: Error message
                    example: Too many requests
                required:
                  - message
                title: Too Many Request Response
                description: Schema for too many request response
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````